<?xml version='1.0' encoding='UTF-8'?>
<rougail version="0.10">
  <variables>
    <variable name="remotes" description="Remote clients needing an account" type="domainname" multi="True" provider="Postgresql"/>
    <family name="remote_" description="Account for " dynamic="accounts.remotes">
      <variable name="remote_ip_" description="Remote IP" type="ip" mandatory="True"/>
      <variable name="password_" description="Remote password" auto_save="False" hidden="True" type="password" mandatory="True" provider="Postgresql:password"/>
    </family>
  </variables>
  <constraints>
    <fill name="get_ip">
      <param type="information">zones</param>
      <param type="suffix"/>
      <target>accounts.remote_.remote_ip_</target>
    </fill>
  </constraints>
</rougail>

